<?php declare(strict_types=1);

namespace Infomaker\Imengine\CropData;

use Infomaker\Imengine\CropData\Interfaces\NewsPilotCropDataInterface;

/**
 * Class NpCropData
 *
 * @package Infomaker\Imengine
 */
class NewsPilotCropData implements NewsPilotCropDataInterface
{
    private $width;
    private $height;
    private $cropX = 0.0;
    private $cropY = 0.0;
    private $zoom = 0.5;

    /**
     * NpCropDataInterface constructor.
     *
     * @param int $width
     * @param int $height
     */
    public function __construct(int $width, int $height)
    {
        $this->width  = $width;
        $this->height = $height;
    }

    /**
     * @return int
     */
    public function getWidth(): int
    {
        return $this->width;
    }

    /**
     * @return int
     */
    public function getHeight(): int
    {
        return $this->height;
    }

    /**
     * @return float
     */
    public function getCropX(): float
    {
        return $this->cropX;
    }

    /**
     * @return float
     */
    public function getCropY(): float
    {
        return $this->cropY;
    }

    /**
     * @return float
     */
    public function getZoom(): float
    {
        return $this->zoom;
    }

    /**
     * @param mixed $zoom
     *
     * @return \Infomaker\Imengine\CropData\NewsPilotCropData
     */
    public function setZoom(float $zoom): NewsPilotCropData
    {
        $this->zoom = $zoom;

        return $this;
    }

    /**
     * @param mixed $cropX
     *
     * @return \Infomaker\Imengine\CropData\NewsPilotCropData
     */
    public function setCropX(float $cropX): NewsPilotCropData
    {
        $this->cropX = $cropX;

        return $this;
    }

    /**
     * @param float $cropY
     *
     * @return \Infomaker\Imengine\CropData\NewsPilotCropData
     */
    public function setCropY(float $cropY): NewsPilotCropData
    {
        $this->cropY = $cropY;

        return $this;
    }
}
